# SPDX-FileCopyrightText: 2024 eclipse foundation
# SPDX-License-Identifier: EPL-2.0

apiVersion: v1
kind: Namespace
metadata:
  labels:
    org.eclipse.grac/project.fullName: gitlab-runner-pod-cleanup
  name: grac-gitlab-runner-pod-cleanup
---

apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: pod-cleanup-role
  labels:
    org.eclipse.grac/project.fullName: gitlab-runner-pod-cleanup
rules:
- apiGroups: [""]
  resources: ["pods"]
  verbs: ["get", "list", "delete"]
- apiGroups: [""]
  resources: ["namespaces"]
  verbs: ["get", "list", "watch"]
---

apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: pod-cleanup-role-binding
  namespace: grac-gitlab-runner-pod-cleanup
  labels:
    org.eclipse.grac/project.fullName: gitlab-runner-pod-cleanup
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: pod-cleanup-role
subjects:
- kind: ServiceAccount
  name: pod-cleanup-sa
  namespace: grac-gitlab-runner-pod-cleanup
---

apiVersion: v1
kind: ServiceAccount
metadata:
  namespace: grac-gitlab-runner-pod-cleanup
  name: pod-cleanup-sa
  labels:
    org.eclipse.grac/project.fullName: gitlab-runner-pod-cleanup
---

apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: grac-gitlab-runner-pod-cleanup
  name: gitlab-runner-pod-cleanup
  labels:
    org.eclipse.grac/project.fullName: gitlab-runner-pod-cleanup
spec:
  replicas: 1
  selector:
    matchLabels:
      name: pod-cleanup
      app: pod-cleanup
  template:
    metadata:
      labels:
        name: pod-cleanup
        app: pod-cleanup
    spec:
      restartPolicy: Always
      serviceAccountName: pod-cleanup-sa
      containers:
      - name: gitlab-runner-pod-cleanup
        image: registry.gitlab.com/sebastien.heurtematte1/gitlab-runner-pod-cleanup:724024d1
        env:
          - name: POD_CLEANUP_INTERVAL
            value: 1h
          - name: POD_CLEANUP_KUBERNETES_NAMESPACES
            value: grac* 
          - name: POD_CLEANUP_LOG_LEVEL
            value: info
        resources:
          limits:
            cpu: 100m
            memory: 128Mi
          requests:
            cpu: 100m
            memory: 128Mi